package com.yinet.wsyy.domain;

import com.yinet.common.annotation.Excel;
import com.yinet.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 网上预约配置对象 wsyy_setting
 * 
 * @author yinet
 * @date 2019-09-02
 */
public class WsyySetting extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 网上预约配置 */
    private String wsyysetId;

    /** 最多往后预约几天 */
    @Excel(name = "最多往后预约几天")
    private Integer timeScope;

    /** 1周六 2周日 3不休 4不接 */
    @Excel(name = "1周六 2周日 3不休 4不接")
    private String holidayWork;

    /** 每个时间段最多预约多少 */
    @Excel(name = "每个时间段最多预约多少")
    private Long timeQuantumNum;

    public void setWsyysetId(String wsyysetId) 
    {
        this.wsyysetId = wsyysetId;
    }

    public String getWsyysetId() 
    {
        return wsyysetId;
    }
    public void setTimeScope(Integer timeScope) 
    {
        this.timeScope = timeScope;
    }

    public Integer getTimeScope() 
    {
        return timeScope;
    }
    public void setHolidayWork(String holidayWork) 
    {
        this.holidayWork = holidayWork;
    }

    public String getHolidayWork() 
    {
        return holidayWork;
    }
    public void setTimeQuantumNum(Long timeQuantumNum) 
    {
        this.timeQuantumNum = timeQuantumNum;
    }

    public Long getTimeQuantumNum() 
    {
        return timeQuantumNum;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("wsyysetId", getWsyysetId())
            .append("timeScope", getTimeScope())
            .append("holidayWork", getHolidayWork())
            .append("timeQuantumNum", getTimeQuantumNum())
            .toString();
    }
}
